clear;                             
x=-5:0.3:5;
y=-3:0.2:3;
[X,Y]=meshgrid(x,y);           
Z =sin(sqrt(X.^2+Y.^2));
subplot(2,2,1);contour3(X,Y,Z)         %绘制默认值的等高线图
title('默认值的等高线图')
subplot(2,2,2);contour3(X,Y,Z,30);    %绘制给定值的等高线图  
title('给定值的等高线图')
subplot(2,2,3);waterfall(X,Y,Z);       %绘制瀑布图
title('瀑布图')
subplot(2,2,4);mesh(X,Y,Z);             %绘制三维网格图
title('三维网格图')







